# SIPPublish Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPPublish:

List of all members.

## Public Member Functions

| SIPPublish (SIPEndPoint &ep, OpalTransport &trans, const PStringList &routeSet, const SIPURL &targetAddress, const PString &id, const PString &sipIfMatch, const PString &body, unsigned expires)

## Constructor & Destructor Documentation

SIPPublish::SIPPublish | ( | SIPEndPoint & | ep,
|  | OpalTransport & | trans,
|  | const PStringList & | routeSet,
|  | const SIPURL & | targetAddress,
|  | const PString & | id,
|  | const PString & | sipIfMatch,
|  | const PString & | body,
|  | unsigned | expires |
| ) |  |  |

The documentation for this class was generated from the following file:

- sippdu.h